{ Составить программу перевода десятичного числа в шестнадцатеричное }
var a : longint;

function DEC_HEX(x:longint):string;
const digits:array [0..15] of char = ('0','1','2','3','4','5','6','7',
                                      '8','9','A','B','C','D','E','F');
var res:string; d:0..15;
begin
   res:='';
   while (x<>0) do begin
      d:=x mod 16;
      x:=x div 16;
      res:=digits[d]+res;
   end;
   DEC_HEX:=res;
end;

begin { основная программа }
  readln( a );
  writeln( DEC_HEX(a) );
end.
